summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Steven King <kingrst@gmail.com>2014-03-16 23:57:07 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-03-21 13:01:17 -0500
commit994d31af5d56cfc19181da6e94cd53f32034d796 (patch)
treefc825fbf74c53b50990f0a32f10d7e6c7d14ea75 /network
parent46d257e01bcfc76016a00f005686790d8aa9c580 (diff)
downloadslackbuilds-994d31af5d56cfc19181da6e94cd53f32034d796.tar.gz
slackbuilds-994d31af5d56cfc19181da6e94cd53f32034d796.tar.xz
network/aiccu: Added (Automatic IPv6 Client Utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/aiccu/README21
-rw-r--r--network/aiccu/aiccu.SlackBuild108
-rw-r--r--network/aiccu/aiccu.info10
-rw-r--r--network/aiccu/doinst.sh23
-rw-r--r--network/aiccu/rc.aiccu53
-rw-r--r--network/aiccu/slack-desc19
6 files changed, 234 insertions, 0 deletions
diff --git a/network/aiccu/README b/network/aiccu/README
new file mode 100644
index 0000000000..692b399f18
--- /dev/null
+++ b/network/aiccu/README
@@ -0,0 +1,21 @@
+SixXS AICCU: Automatic IPv6 Connectivity Configuration Utility
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+AICCU makes it very easy for anybody to get IPv6 connectivity
+everywhere they want. It uses the TIC (Tunnel Information & Control)
+protocol to request the information needed to setup a tunnel through
+which the connectivity is created.
+
+AICCU supports the following tunneling protocols:
+ - 6in4 static (RFC 2893)
+ - 6in4 heartbeat (RFC 2893 + draft-massar-v6ops-heartbeat)
+ - AYIYA (draft-massar-v6ops-ayiya)
+
+As AYIYA even works from behind NAT's, thus unless there is a very
+restrictive firewall in place, anybody should be able to get IPv6
+connectivity without problems and everywhere they want.
+
+WARNING: never run AICCU from DaemonTools or a similar automated
+'restart' tool/script. When AICCU does not start, it has a reason
+not to start which it gives on either the stdout or in the (sys)log
+file. The TIC server *will* automatically disable accounts which
+are detected to run in this mode.
diff --git a/network/aiccu/aiccu.SlackBuild b/network/aiccu/aiccu.SlackBuild
new file mode 100644
index 0000000000..6d0fe283b7
--- /dev/null
+++ b/network/aiccu/aiccu.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for aiccu
+
+# Copyright 2014 Steven King Michigan, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aiccu
+VERSION=${VERSION:-20070115}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${PRGNAM}_current.tar.gz || tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/etc/rc.d
+cp -a $CWD/rc.aiccu $PKG/etc/rc.d/rc.aiccu.new
+rm -rf $PKG/etc/init.d
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/aiccu $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/usr/man/man1
+cp -a doc/aiccu.1 $PKG/usr/man/man1/aiccu.1
+cp -a doc/aiccu.conf $PKG/etc/aiccu.conf.new
+chmod 644 $PKG/etc/aiccu.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/aiccu.sgml doc/setupscript.cmd doc/aiccu.conf doc/aiccu.init doc/changelog\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/aiccu/aiccu.info b/network/aiccu/aiccu.info
new file mode 100644
index 0000000000..c2b2d36319
--- /dev/null
+++ b/network/aiccu/aiccu.info
@@ -0,0 +1,10 @@
+PRGNAM="aiccu"
+VERSION="20070115"
+HOMEPAGE="https://www.sixxs.net/tools/aiccu/"
+DOWNLOAD="https://www.sixxs.net/archive/sixxs/aiccu/unix/aiccu_current.tar.gz"
+MD5SUM="c9bcc83644ed788e22a7c3f3d4021350"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Steven King"
+EMAIL="kingrst@gmail.com"
diff --git a/network/aiccu/doinst.sh b/network/aiccu/doinst.sh
new file mode 100644
index 0000000000..ca6a38605a
--- /dev/null
+++ b/network/aiccu/doinst.sh
@@ -0,0 +1,23 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.aiccu.new
+config etc/aiccu.conf.new
diff --git a/network/aiccu/rc.aiccu b/network/aiccu/rc.aiccu
new file mode 100644
index 0000000000..3078f12a01
--- /dev/null
+++ b/network/aiccu/rc.aiccu
@@ -0,0 +1,53 @@
+#! /bin/sh
+#
+# /etc/init.d/aiccu: start / stop AICCU
+#
+# Jeroen Massar <jeroen@sixxs.net>
+
+NAME=aiccu
+DAEMON=/usr/sbin/${NAME}
+DESC="SixXS Automatic IPv6 Connectivity Client Utility (${NAME})"
+
+test -x $DAEMON || exit 1
+
+. /etc/init.d/functions
+
+# Verify that the configuration file exists
+if [ ! -f /etc/aiccu.conf ]; then
+ echo "AICCU Configuration file /etc/aiccu.conf doesn't exist"
+ exit 1;
+fi
+
+# Verify that the configuration is correct
+if [ `grep -c "^username" /etc/aiccu.conf 2>/dev/null` -ne 1 ]; then
+ echo "AICCU is not configured, edit /etc/aiccu.conf first"
+ exit 1;
+fi
+
+# Verify that it is in daemonize mode, otherwise it won't ever return
+if [ `grep -c "^daemonize true" /etc/aiccu.conf 2>/dev/null` -ne 1 ]; then
+ echo "AICCU is not configured to daemonize on run"
+ exit 1;
+fi
+
+case "$1" in
+ start)
+ echo "Starting $DESC..."
+ $DAEMON start /etc/aiccu.conf
+ ;;
+ stop)
+ echo "Stopping $DESC..."
+ $DAEMON stop /etc/aiccu.conf
+ ;;
+ restart|reload|force-reload)
+ echo "Restarting $DESC..."
+ $DAEMON stop /etc/aiccu.conf
+ sleep 2
+ $DAEMON start /etc/aiccu.conf
+ ;;
+ *)
+ echo "Usage: /etc/rc.d/rc.$NAME {start|stop|reload|force-reload|restart}" >&2
+ exit 1
+esac
+
+exit 0
diff --git a/network/aiccu/slack-desc b/network/aiccu/slack-desc
new file mode 100644
index 0000000000..3e934e724f
--- /dev/null
+++ b/network/aiccu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aiccu: aiccu (Automatic IPv6 Connectivity Client Utility)
+aiccu:
+aiccu: AICCU makes it easy for users to get IPv6 connectivity. After having
+aiccu: requested an account, tunnel and optionally a subnet, AICCU can be
+aiccu: used to automatically configure the tunnel. AICCU supports TIC (Tunnel
+aiccu: Information & Control protocol), which it uses for retrieving the
+aiccu: tunnel configuration information, AYIYA, which allows tunnels to be
+aiccu: created even behind firewalls and NAT's.
+aiccu:
+aiccu:
+aiccu: